#include "textfile.h"
#include "jtypes.h"

class HSIPalFile {

public:

    HSIPalFile();
   ~HSIPalFile();
    u32 load(i8 *filename);
    u32 save(i8 *filename);
    u32 paletteLen();
    u32 copyPalette18bit (
        u8 *dst,
        u32 a,
        u32 len
        );
    u32 copyPalette24bit (
        u8 *dst,
        u32 a,
        u32 len
        );
    u32 setColor (
        u8 color,
        u8 r,
        u8 g,
        u8 b
        );

private:

    u32 checkSyntax();

    u32         valid;
    u32         palLEN;
    TextFile    colorDEF;
    u8          pal[768];

};
